unit frmEdgeU;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Winapi.WebView2, Winapi.ActiveX,
  Vcl.Edge;

type
  TfrmEdge = class(TForm)
    EdgeBrowser1: TEdgeBrowser;
    procedure FormCreate(Sender: TObject);
    procedure EdgeBrowser1DocumentTitleChanged(Sender: TCustomEdgeBrowser;
      const ADocumentTitle: string);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmEdge: TfrmEdge;

implementation

{$R *.dfm}

uses System.IOUtils;

procedure TfrmEdge.EdgeBrowser1DocumentTitleChanged(
  Sender: TCustomEdgeBrowser; const ADocumentTitle: string);
begin
  Caption := ADocumentTitle;
end;

procedure TfrmEdge.FormCreate(Sender: TObject);
var
  tmpfolder: String;
  tempFolder: array[0..MAX_PATH] of Char;
begin
  GetTempPath(MAX_PATH, @tempFolder);
  tmpfolder := StrPas(tempFolder);


  EdgeBrowser1.UserDataFolder := tmpfolder+'CustomCache';// TPath.Combine(TPath.GetDirectoryName(Application.ExeName), 'CustomCache');
end;

end.
